Edit basic customer information

This request edits an existing customer profile's basic information.

   Click here to learn more about this request

A customer is any individual or company that can be associated with a loan or line of credit account. Note the following when using this request:

The Customers entity holds a vast amount of information. This information within this request updates a customer's basic personal information.

Other customer information, such as PrimaryAddress or Phones , are nested objects within the Customers entity. Information in these objects can be updated via the requests PUT Edit address and PUT Edit customer phone number. These requests are listed in the subcategories of the Customers section of our documentation.

For an example of how customer information works within the UI, take a look at our Customer Details article.

Database

For information regarding customer database tables, see the following articles:

Database – Customer Main Table (customer_entity)

Database – Customer Status Entity (customer_status_entity)

{
     "status": "Active",
     "customerType": "customer.type.individual",
     "customerIdType": "customer.idType.ssn",
     "birthDate": "1980-07-17",
     "firstName": "John",
     "middleName": "H.",
     "lastName": "Doe",
     "ssn": "123456789",
     "driverLicense": "AL3730",
     "email": "[email protected]",
     "accessUserName": "johndoe",
     "accessPassword": "password123!",
     "generationCode": "customer.generationCode.none",
     "gender": "customer.gender.male",
     "customId": "ABC123",
     "__ignoreWarnings": true
}
Path Params
int32
required

The ID of the customer.

Body Params
string

This is the status of the customer.
> These options are determined by your tenant settings.

string
enum

This determines the type of the customer.
> For more information on these values, click here

Allowed:
string
enum

This determines the customer's type of government ID number.
> For more information on these values, click here

Allowed:
date

This is the birth date of the customer.

string

This is the customer's first name.

string

This is the customer's middle name.

string

This is the customer's last name.

string

This is the customer's social security number.
> Formatted as a nine-digit string without dashes.

string
enum

This is the customer's gender.
> For more information on these values, click here

Allowed:
string

This is the customer's driver's license number.

string

This is the username the customer uses to access the LoanPro borrower portal.

string

This is the username the customer uses to access the LoanPro borrower portal.

string

This is the customer's email address.

string
enum

This is the customer's generation code.
> For more information on these values, click here

Allowed:
string

This is an optional field that allows you to provide a secondary ID for the customer profile.

boolean

This allows you to bypass transactional warnings when updating a customer.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json